<form class="ui form" [formGroup]="createRecipeForm" (ngSubmit)="onCreateRecipeFormSubmit()">
    <div class="required fluid field" [ngClass]="{error: nameHasErrors()}">
        <label>Name</label>
        <input type="text" formControlName="strMeal">
    </div>
    <div class="ui negative message" *ngIf="nameHasErrors()">
        <ul>
            <li *ngFor="let errorMessage of nameErrors()">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field" >
        <label>Category</label>
        <input type="text" formControlName="strCategory">
    </div>

    <div class="required fluid field" >
        <label>Area</label>
        <input type="text" formControlName="strArea">
    </div>
    <div class="required fluid field" [ngClass]="{error: ingredientsHaveErrors()}">
        <label>Ingredients</label>
        <input type="text" formControlName="strIngredients" placeholder="name,measure;name,measure;name,measure">
    </div>
    <div class="ui negative message" *ngIf="ingredientsHaveErrors()">
        <ul>
            <li *ngFor="let errorMessage of ingredientsErrors()">{{ errorMessage }}</li>
        </ul>
    </div>
    <div class="required fluid field" [ngClass]="{error: instructionHasErrors()}">
        <label>Instructions</label>
        <textarea name="instruction" rows="5" formControlName="strInstructions"></textarea>
    </div>
    <div class="ui negative message" *ngIf="instructionHasErrors()">
        <ul>
            <li *ngFor="let errorMessage of instructionErrors()">{{ errorMessage }}</li>
        </ul>
    </div>
    <div class="fluid field">
        <label>Recipe images:</label>
        <input type="file" formControlName="strMealThumb" (change)="onFileChange($event)">
    </div>

    <button class="ui fluid button" type="submit">Add a recipe</button>
</form>
